package org.ballerinalang.generated.providers;

import org.ballerinalang.annotation.JavaSPIService;
import org.ballerinalang.model.types.TypeKind;
import org.ballerinalang.natives.NativeElementRepository;
import org.ballerinalang.natives.NativeElementRepository.NativeActionDef;
import org.ballerinalang.natives.NativeElementRepository.NativeFunctionDef;
import org.ballerinalang.spi.NativeElementProvider;

@JavaSPIService ("org.ballerinalang.spi.NativeElementProvider")
public class StandardNativeElementProvider implements NativeElementProvider {

	@Override
	public void populateNatives(NativeElementRepository repo) {
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "map.values", new TypeKind[] { TypeKind.MAP }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.nativeimpl.builtin.maplib.GetValues"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "map.remove", new TypeKind[] { TypeKind.MAP, TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.maplib.Remove"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "map.hasKey", new TypeKind[] { TypeKind.MAP, TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.maplib.HasKey"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "map.keys", new TypeKind[] { TypeKind.MAP }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.nativeimpl.builtin.maplib.GetKeys"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "map.clear", new TypeKind[] { TypeKind.MAP }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.maplib.Clear"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "json.remove", new TypeKind[] { TypeKind.JSON, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.jsonlib.Remove"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "json.getKeys", new TypeKind[] { TypeKind.JSON }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.nativeimpl.builtin.jsonlib.GetKeys"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "json.toString", new TypeKind[] { TypeKind.JSON }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.jsonlib.ToString"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "json.toXML", new TypeKind[] { TypeKind.JSON, TypeKind.STRUCT }, new TypeKind[] { TypeKind.XML, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.builtin.jsonlib.ToXML"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "table.remove", new TypeKind[] { TypeKind.TABLE, TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.tablelib.Remove"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "table.close", new TypeKind[] { TypeKind.TABLE }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.tablelib.Close"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "table.add", new TypeKind[] { TypeKind.TABLE, TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.tablelib.Add"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "queryTableWithJoinClause", new TypeKind[] { TypeKind.STRING, TypeKind.TABLE, TypeKind.TABLE, TypeKind.ARRAY, TypeKind.ANY }, new TypeKind[] { TypeKind.TABLE }, "org.ballerinalang.nativeimpl.builtin.tablelib.QueryTableWithJoinClause"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "table.hasNext", new TypeKind[] { TypeKind.TABLE }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.tablelib.HasNext"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "table.getNext", new TypeKind[] { TypeKind.TABLE }, new TypeKind[] { TypeKind.ANY }, "org.ballerinalang.nativeimpl.builtin.tablelib.GetNext"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "queryTableWithoutJoinClause", new TypeKind[] { TypeKind.STRING, TypeKind.TABLE, TypeKind.ARRAY, TypeKind.TYPEDESC }, new TypeKind[] { TypeKind.TABLE }, "org.ballerinalang.nativeimpl.builtin.tablelib.QueryTableWithoutJoinClause"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "future.isCancelled", new TypeKind[] { TypeKind.FUTURE }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.asynclib.IsCancelled"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "future.cancel", new TypeKind[] { TypeKind.FUTURE }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.asynclib.Cancel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "future.isDone", new TypeKind[] { TypeKind.FUTURE }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.asynclib.IsDone"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "stream.publish", new TypeKind[] { TypeKind.STREAM, TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.streamlib.Publish"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "startForever", new TypeKind[] { TypeKind.STRING, TypeKind.ARRAY, TypeKind.ARRAY, TypeKind.ARRAY, TypeKind.ARRAY, TypeKind.ARRAY }, new TypeKind[] { TypeKind.NONE }, "org.ballerinalang.nativeimpl.builtin.streamlib.StartForever"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "stream.subscribe", new TypeKind[] { TypeKind.STREAM, TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.streamlib.Subscribe"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "blob.base64Encode", new TypeKind[] { TypeKind.BLOB }, new TypeKind[] { TypeKind.BLOB }, "org.ballerinalang.nativeimpl.builtin.bloblib.Base64Encode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "blob.base64Decode", new TypeKind[] { TypeKind.BLOB }, new TypeKind[] { TypeKind.BLOB }, "org.ballerinalang.nativeimpl.builtin.bloblib.Base64Decode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "blob.toString", new TypeKind[] { TypeKind.BLOB, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.bloblib.ToString"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.lastIndexOf", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.builtin.stringlib.LastIndexOf"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.substring", new TypeKind[] { TypeKind.STRING, TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.Substring"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.split", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.nativeimpl.builtin.stringlib.Split"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.indexOf", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.builtin.stringlib.IndexOf"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.findAll", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.ARRAY, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.builtin.stringlib.FindAll"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.hasPrefix", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.stringlib.HasPrefix"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.unescape", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.Unescape"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.length", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.builtin.stringlib.Length"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.base64Encode", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.UNION }, "org.ballerinalang.nativeimpl.builtin.stringlib.Base64Encode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.replaceFirst", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.ReplaceFirst"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.base64Decode", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.UNION }, "org.ballerinalang.nativeimpl.builtin.stringlib.Base64Decode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.base64ToBase16Encode", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.Base64ToBase16Encode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.matches", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.builtin.stringlib.Matches"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.equalsIgnoreCase", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.stringlib.EqualsIgnoreCase"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.toUpper", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.ToUpper"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.replace", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.Replace"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.toLower", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.ToLower"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.base16ToBase64Encode", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.Base16ToBase64Encode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.contains", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.stringlib.Contains"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.trim", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.Trim"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.hasSuffix", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.stringlib.HasSuffix"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.toBlob", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.BLOB }, "org.ballerinalang.nativeimpl.builtin.stringlib.ToBlob"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.replaceAll", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.ReplaceAll"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.getItemType", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.xmllib.GetItemType"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.copy", new TypeKind[] {  }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.Copy"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.getElementName", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.xmllib.GetElementName"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.toJSON", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.JSON }, "org.ballerinalang.nativeimpl.builtin.xmllib.ToJSON"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.elements", new TypeKind[] {  }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.Elements"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.setAttributes", new TypeKind[] { TypeKind.MAP }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.xmllib.SetAttributes"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.select", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.Select"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.isSingleton", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.xmllib.IsSingleton"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.selectDescendants", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.SelectDescendants"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.getTextValue", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.xmllib.GetTextValue"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.slice", new TypeKind[] { TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.Slice"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.strip", new TypeKind[] {  }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.Strip"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.removeAttribute", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.xmllib.RemoveAttribute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.isEmpty", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.xmllib.IsEmpty"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.setChildren", new TypeKind[] { TypeKind.XML }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.xmllib.SetChildren"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "openSecureSocket", new TypeKind[] { TypeKind.STRING, TypeKind.INT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.socket.OpenSecureSocket"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "Socket.close", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.socket.Close"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "Socket.shutdownInput", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.socket.ShutdownInput"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "openSocket", new TypeKind[] { TypeKind.STRING, TypeKind.INT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.socket.OpenSocket"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "Socket.shutdownOutput", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.socket.ShutdownOutput"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "decompressFromBlob", new TypeKind[] { TypeKind.BLOB, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.internal.compression.DecompressFromBlob"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "decompress", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.internal.compression.Decompress"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "compress", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.internal.compression.Compress"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "compressToBlob", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BLOB }, "org.ballerinalang.nativeimpl.internal.compression.CompressToBlob"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.getName", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.internal.GetName"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "createFile", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.internal.CreateFile"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "list", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.ARRAY, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.internal.List"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.init", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.internal.Init"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "pathExists", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.internal.PathExists"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "createDirectory", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.internal.CreateDirectory"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "verifySignature", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.internal.jwt.signature.VerifySignature"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "sign", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.internal.jwt.signature.Sign"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.toAbsolutePath", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.internal.ToAbsolutePath"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "isDirectory", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.internal.IsDirectory"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "parseJson", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.JSON }, "org.ballerinalang.nativeimpl.internal.ParseJson"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "delete", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.internal.Delete"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "getModifiedTime", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.internal.GetModifiedTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "Path.getPathValue", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.internal.GetPathValue"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Listener.start", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.file.service.endpoint.Start"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Listener.register", new TypeKind[] { TypeKind.TYPEDESC }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.file.service.endpoint.Register"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Listener.stop", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.file.service.endpoint.Stop"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Listener.initEndpoint", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.file.service.endpoint.InitEndpoint"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "print", new TypeKind[] { TypeKind.ARRAY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.io.PrintAny"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.writeJson", new TypeKind[] { TypeKind.JSON }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.WriteJson"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.close", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.CloseCharacterChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "DelimitedTextRecordChannel.init", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.CreateDelimitedRecordChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "ByteChannel.base64Encode", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.Base64Encode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.writeXml", new TypeKind[] { TypeKind.XML }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.WriteXml"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "ByteChannel.base64Decode", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.Base64Decode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.write", new TypeKind[] { TypeKind.STRING, TypeKind.INT }, new TypeKind[] { TypeKind.INT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.WriteCharacters"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.init", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.io.CreateCharacterChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "DelimitedTextRecordChannel.write", new TypeKind[] { TypeKind.ARRAY }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.WriteTextRecord"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.read", new TypeKind[] { TypeKind.INT }, new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.ReadCharacters"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "DelimitedTextRecordChannel.hasNext", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.io.HasNextTextRecord"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "ByteChannel.read", new TypeKind[] { TypeKind.INT }, new TypeKind[] { TypeKind.BLOB, TypeKind.INT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.ReadBytes"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "DelimitedTextRecordChannel.getNext", new TypeKind[] {  }, new TypeKind[] { TypeKind.ARRAY, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.NextTextRecord"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "createCsvChannel", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.CreateCsvChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "ByteChannel.close", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.CloseByteChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.readJson", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.io.ReadJson"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.readXml", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.io.ReadXml"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "sprintf", new TypeKind[] { TypeKind.STRING, TypeKind.ARRAY }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.io.Sprintf"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "println", new TypeKind[] { TypeKind.ARRAY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.io.PrintlnAny"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CSVChannel.getTable", new TypeKind[] { TypeKind.TYPEDESC }, new TypeKind[] { TypeKind.TABLE, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.GetTable"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "readln", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.io.ReadlnAny"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "ByteChannel.write", new TypeKind[] { TypeKind.BLOB, TypeKind.INT }, new TypeKind[] { TypeKind.INT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.WriteBytes"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "openFile", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.OpenFile"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "DelimitedTextRecordChannel.close", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.CloseDelimitedRecordChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "sinh", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Sinh"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "expm1", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Expm1"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "nextUp", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.NextUp"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "round", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.Round"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "log", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Log"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "atan2", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Atan2"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "pow", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Pow"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "sin", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Sin"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "negateExact", new TypeKind[] { TypeKind.INT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.NegateExact"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "nextAfter", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.NextAfter"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "nextDown", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.NextDown"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "cosh", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Cosh"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "cos", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Cos"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "tan", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Tan"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "signum", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Signum"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "randomInRange", new TypeKind[] { TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.RandomInRange"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "copySign", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.CopySign"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "log1p", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Log1p"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "acos", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Acos"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "hypot", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Hypot"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "sqrt", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Sqrt"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "rint", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Rint"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "scalb", new TypeKind[] { TypeKind.FLOAT, TypeKind.INT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Scalb"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "absInt", new TypeKind[] { TypeKind.INT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.AbsInt"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "exp", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Exp"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "IEEEremainder", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.IEEERemainder"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "cbrt", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Cbrt"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "asin", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Asin"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "floorDiv", new TypeKind[] { TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.FloorDiv"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "absFloat", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.AbsFloat"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "ceil", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Ceil"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "toDegrees", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.ToDegrees"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "floorMod", new TypeKind[] { TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.FloorMod"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "getExponent", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.Exponent"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "tanh", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Tanh"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "log10", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Log10"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "floor", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Floor"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "ulp", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Ulp"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "atan", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Atan"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "random", new TypeKind[] {  }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Random"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "toRadians", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.ToRadians"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "reflect", "equals", new TypeKind[] { TypeKind.ANY, TypeKind.ANY }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.reflect.Equals"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "reflect", "getStructFieldAnnotations", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.reflect.GetFieldAnnotations"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "reflect", "getResourceAnnotations", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.reflect.GetResourceAnnotations"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "reflect", "getStructAnnotations", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.reflect.GetStructAnnotations"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "reflect", "getServiceAnnotations", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.reflect.GetServiceAnnotations"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "reflect", "getFunctionAnnotations", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.reflect.GetFunctionAnnotations"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.format", new TypeKind[] { TypeKind.UNION }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.time.Format"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.year", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Year"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.second", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Second"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.toString", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.time.ToString"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.minute", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Minute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "currentTime", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.CurrentTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "nanoTime", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.NanoTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.hour", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Hour"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.addDuration", new TypeKind[] { TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.AddDuration"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.milliSecond", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.MilliSecond"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.day", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Day"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.getDate", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT, TypeKind.INT, TypeKind.INT }, "org.ballerinalang.nativeimpl.time.GetDate"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "createTime", new TypeKind[] { TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.CreateTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.subtractDuration", new TypeKind[] { TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.SubtractDuration"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.weekday", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.time.WeekDay"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.toTimezone", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.ToTimezone"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "parse", new TypeKind[] { TypeKind.STRING, TypeKind.UNION }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.Parse"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.month", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Month"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.getTime", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT }, "org.ballerinalang.nativeimpl.time.GetTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "system", "getCurrentDirectory", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.system.GetCurrentDirectory"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "system", "uuid", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.system.Uuid"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "system", "getUserHome", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.system.GetUserHome"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "system", "getEnv", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.system.GetEnv"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "system", "getUsername", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.system.GetUsername"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "config", "setConfig", new TypeKind[] { TypeKind.STRING, TypeKind.UNION }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.config.SetConfig"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "config", "get", new TypeKind[] { TypeKind.STRING, TypeKind.RECORD }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.config.GetConfig"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "config", "contains", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.config.Contains"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "task", "Appointment.schedule", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.task.appointment.Schedule"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "task", "Appointment.cancel", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.task.appointment.Cancel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "task", "Timer.start", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.task.timer.Start"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "task", "Timer.stop", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.task.timer.Stop"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "log", "printDebug", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.log.LogDebug"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "log", "printInfo", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.log.LogInfo"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "log", "printWarn", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.log.LogWarn"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "log", "printTrace", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.log.LogTrace"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "log", "printError", new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.log.LogError"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "crypto", "crc32", new TypeKind[] { TypeKind.ANY }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.crypto.Crc32"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "crypto", "hash", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.crypto.Hash"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "crypto", "hmac", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.crypto.Hmac"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "getErrorCallStackFrame", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.runtime.GetErrorCallStackFrame"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "getCallStack", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.runtime.GetCallStack"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "getInvocationContext", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.runtime.GetInvocationContext"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "getProperty", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.runtime.GetProperty"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "sleep", new TypeKind[] { TypeKind.INT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.runtime.Sleep"));
	}

}
